PSW_SET_CLIP_AREAS(3)

EXPERIMENTAL_FUNC
psw_set_clip_areas - Set the clip areas.

SYNOPSIS
#include <karma_psw.h>

void psw_set_clip_areas

(PostScriptPage pspage, unsigned int num_areas, CONST float *x0, CONST float *y0, CONST float *x1, CONST float *y1)

DESCRIPTION
Set the clip areas.

pspage
    The PostScriptPage object.

num_areas
    The number of clip areas. If 0, there are no clip areas.

x0  The first horizontal co-ordinate array.

y0  The first vertical co-ordinate array.

x1  The second horizontal co-ordinate array.

y1  The second vertical co-ordinate array.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/